.editor-styles-wrapper h1, .editor-styles-wrapper h2, .editor-styles-wrapper h3, .editor-styles-wrapper h4, .editor-styles-wrapper h5, .editor-styles-wrapper h6{
    &.text-color__white{
        color: $color__white;
    }

    &.text-color__main{
        color: $color__main;
    }

    &.text-color__secondary{
        color: $color__secondary;
    }

    &.text-color__utilitary{
        color: $color__utilitary;
    }

    &.text-color__orange{
        color: $color__orange;
    }
}

.guru-block{
    position: relative;

    h1,h2,h3,h4,h5{
        font-weight: 600;
        letter-spacing: -0.02em;
    }

    .btn{
        transition: .4s ease;
    }

    .guru-block__cover-bg{
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    &.background-color__titles{
        color: $color__white;
        background-color: $color__titles;

        h1,h2,h3,h4,h5,h6{
            color: $color__white;

            span{
                color: $color__orange;
            }
        }

        .pretitle,
        .icon--circle{
            color: $color__orange;
            border-color: $color__orange;
        }

        .btn.btn--primary{
            background: $color__white;
            color: $color__titles;

            &:hover{
                border: 1px solid #fff;
                color: #fff;
                background: none;
            }
        }
    }

    &.background-color__white{
        background-color: $color__white;
    }

    &--deco{
        clip-path: polygon(0 0%, 100% 0, 100% 92%, 0% 100%);
    }
}

@media screen and (max-width: 768px) {

    .guru-block .wrap{
        padding-left: 30px;
        padding-right: 30px;
    }
}
